API-referentie
Bestandsinhoud ophalen
Stream de exact opgeslagen bestandsbytes.
Stream de exact opgeslagen bestandsbytes.
Eindpunt
- Basis-URL
https://runapi.ai- API-versie
v1- Authenticatie
Authorization: Bearer YOUR_API_KEY
02
JSON-bodyVerzoek
Stuur waarden alleen op de vermelde verzoeklocatie.
Padparameters1 veld
file_idstring
Verplicht
RunAPI File ID.
03
HTTP 200Succesvol antwoord
GET /v1/files/:file_id/content
JSON
"binary File content"
04
HTTP 401Foutrespons (401)
Responsschema
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
Responsvoorbeeld
JSON
{
"error": {
"code": "authentication_error",
"message": "Missing API key",
"param": null,
"type": "authentication_error"
}
}
05
HTTP 404Foutrespons (404)
Responsschema
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
Responsvoorbeeld
JSON
{
"error": {
"code": "not_found",
"message": "File not found",
"param": null,
"type": "invalid_request_error"
}
}
06
HTTP 502Foutrespons (502)
Responsschema
JSON
{
"additionalProperties": true,
"properties": {
"error": {
"additionalProperties": true,
"properties": {
"code": {
"type": [
"string",
"null"
]
},
"message": {
"type": "string"
},
"param": {
"type": [
"string",
"null"
]
},
"type": {
"type": "string"
}
},
"required": [
"message",
"type"
],
"type": "object"
}
},
"required": [
"error"
],
"type": "object"
}
Responsvoorbeeld
JSON
{
"error": {
"code": "storage_write_failed",
"message": "File storage failed",
"param": null,
"type": "server_error"
}
}
07
cURL-voorbeeld
CURL
curl -X GET https://runapi.ai/v1/files/file_abc123/content \
-H 'Authorization: Bearer YOUR_API_KEY'